1. Avant de poster un sujet, vérifiez que vous êtes dans la bonne section ! Est-ce que le jeu se lance ? Est-ce qu'il crashe ? Est-ce que le launcher fonctionne comme attendu ? Ou est-ce un problème avec le site ? Ou avec Minecraft en général ? Toutes ces questions vous permettront de trouver la bonne catégorie ;)

Problème avec not enough items

Discussion dans 'Aide avec un launcher (hors freeze/crash du jeu)' démarrée par thefou57, 25 Avril 2016.

  1. thefou57

    thefou57 Membre

    Inscrit depuis le :
    25 Avril 2016
    Messages :
    10
    "J'aime" reçus :
    1
    • ID du launcher 144979
    • Est-il en Premium ? oui
    • Sur quel OS êtes-vous (Windows, Linux, MacOS, autre...) ? Windows
    • Quelle version avez-vous de :
      • Java ? 1.7
      • Minecraft ? 1.4.7
      • Forge (si utilisé) ? je ne sais plus
    • Description du problème alors voila je pence que le souci vien des librairie mais je ne suis pas sur mon point minecraft fonctionne tres bien avec un autre laucher mais avec le votre tout les mods charge et fonctionne tres bien sauf not enough items que ne ce charge meme pas comme si il naiter pas instaler la seul differance entre cest 2 launcher cest que le votre a les librairie dans un dossier "librarie" et que lautre utilise le dossier "lib" je ne sais pas comment reglé le probleme merci a vous pour votre aide
    • Etes-vous le seul à avoir ce problème ? aucune idée
    • Logs fournis par le launcher (dans une balise spoiler, dans BBCodes spéciaux -> Spoiler)
    * EDIT : après 3 jour de recherche acharnée le problème vien du fait que vos launcher utilise le jar nommé "1.4.7" dans le dossier "version" or si le .jar ne ce nomme pas "minecraft.jar" le mod ne fonctionne pas et je ne sais pas comment régler le souci
     
    Dernière édition: 25 Avril 2016
  2. Apokalysme

    Apokalysme Modérateur et conseiller Membre de l'équipe

    Inscrit depuis le :
    18 Juin 2015
    Messages :
    1,538
    "J'aime" reçus :
    80
    Bonjour thefou57,
    Minecraft 1.4.7 est plutôt ancienne.
    Je ne sais pas vraiment si je pourrais t'aider, car cela fait une éternité que je n'ai pas utilisé cette version.

    De plus, le launcher a été fait pour utiliser Forge à partir de la version 1.6 de Minecraft.
    Il est donc possible que Minecraft/Forge ne fonctionne pas avec des versions antérieures de Minecraft.

    Je vais me prévoir des tests ce week-end pour voir si je peux faire quelque chose pour toi.
     
  3. thefou57

    thefou57 Membre

    Inscrit depuis le :
    25 Avril 2016
    Messages :
    10
    "J'aime" reçus :
    1
    si si forge fonctionne très bien enfin en parti lol pourrai tu vennir sur mon ts un jours ou meme le soir que je texplique en detail et si ta besoin de mes fichier pour les test je peut upload tout sa
     
  4. Apokalysme

    Apokalysme Modérateur et conseiller Membre de l'équipe

    Inscrit depuis le :
    18 Juin 2015
    Messages :
    1,538
    "J'aime" reçus :
    80
    Désolé, mais nous ne traitons jamais les demandes par TS.
    En revanche, plus tu me fourniras de détails sur ton problème, plus j'aurais de chances de pouvoir t'aider.
     
  5. thefou57

    thefou57 Membre

    Inscrit depuis le :
    25 Avril 2016
    Messages :
    10
    "J'aime" reçus :
    1
    comme je lais dit plus haut le problème vien du fait que vos launcher utilise le jar nommé "1.4.7" dans le dossier "version" or si le .jar ne ce nomme pas "minecraft.jar" le mod ne fonctionne pas aurrai t'il un moyen pour que le launcher utilise un fichier jar qui garde le nom qu'on lui donne
     
  6. Apokalysme

    Apokalysme Modérateur et conseiller Membre de l'équipe

    Inscrit depuis le :
    18 Juin 2015
    Messages :
    1,538
    "J'aime" reçus :
    80
    Il y a effectivement un moyen : il faudrait que tu ajoutes ton "minecraft.jar" en tant que JAR personnalisé.
    Dans ce cas, il doit normalement utiliser le fichier que tu lui indiques.
     
  7. thefou57

    thefou57 Membre

    Inscrit depuis le :
    25 Avril 2016
    Messages :
    10
    "J'aime" reçus :
    1
    c'est ce que je fait mais quand il download le .jar il le renomme en 1.4.7.jar et il le met dans le dossier version et pas dans bin

    EDIT : L'emplacement ne pose pas de problème c'est le fait qu'il le renomme en 1.4.7.jar qui pose problèmes
     
  8. Apokalysme

    Apokalysme Modérateur et conseiller Membre de l'équipe

    Inscrit depuis le :
    18 Juin 2015
    Messages :
    1,538
    "J'aime" reçus :
    80
    De ce côté, je ne pourrais pas grand chose, puisqu'il faudrait qu'on modifie le launcher pour prendre en compte ce cas.
    Je vais transmettre l'info à @natinusala pour qu'on voit ce qu'on fera.
     
  9. thefou57

    thefou57 Membre

    Inscrit depuis le :
    25 Avril 2016
    Messages :
    10
    "J'aime" reçus :
    1
    je vien de penser a une chose pour vous éviter toute ces modification est-il possible de faire un .jar qui redirige vert le .jar que je veux ?
     
  10. Apokalysme

    Apokalysme Modérateur et conseiller Membre de l'équipe

    Inscrit depuis le :
    18 Juin 2015
    Messages :
    1,538
    "J'aime" reçus :
    80
    C'est une très bonne question ...
    Je vais ajouter cela à mes tests du week-end pour voir si je peux te trouver une solution.
     
  11. thefou57

    thefou57 Membre

    Inscrit depuis le :
    25 Avril 2016
    Messages :
    10
    "J'aime" reçus :
    1
    pas de nouvelle de ton week end de test ?
     
  12. Apokalysme

    Apokalysme Modérateur et conseiller Membre de l'équipe

    Inscrit depuis le :
    18 Juin 2015
    Messages :
    1,538
    "J'aime" reçus :
    80
    Salut thefou57 et désolé pour la réponse tardive,
    Suite à mon week-end, je n'ai pas pu trouver de solution pour le moment.
    Je suis en train de préparer d'autre tests pour voir.

    Je me posais notamment la question de créer un raccourci qui pointe vers le JAR qui va bien et de l'intégrer dans le ZIP Forge.
    Mais le problème est que selon la manière de créer le raccourci et selon le PC, le chemin n'est pas correctement placé et ça foire.

    Une question cependant : NotEnoughItem est le seul mod que tu veux utiliser, ou bien il y a d'autres mods ?
     
  13. thefou57

    thefou57 Membre

    Inscrit depuis le :
    25 Avril 2016
    Messages :
    10
    "J'aime" reçus :
    1
    Yen a 99 au total le seul qui ne fonctionne pas est NotEnoughItem
     
  14. Apokalysme

    Apokalysme Modérateur et conseiller Membre de l'équipe

    Inscrit depuis le :
    18 Juin 2015
    Messages :
    1,538
    "J'aime" reçus :
    80
    Ah ... ça aurait été trop simple ...
    Je t'avoue qu'actuellement, je n'entrevois pas de solution à ce problème.

    Quelle idée aussi de s'appuyer sur un nom de fichier fixe ...
    Heureusement que les versions actuelles ne font plus comme ça.

    As-tu essayé de voir si il existait un autre mod capable de faire comme NEI en 1.4 ?
     
  15. thefou57

    thefou57 Membre

    Inscrit depuis le :
    25 Avril 2016
    Messages :
    10
    "J'aime" reçus :
    1
    Non nei est le plus adaptée à ce serveur
     
  16. Apokalysme

    Apokalysme Modérateur et conseiller Membre de l'équipe

    Inscrit depuis le :
    18 Juin 2015
    Messages :
    1,538
    "J'aime" reçus :
    80
    Tu vas trouver ma question bête, mais : pourquoi ne pas utiliser une version plus récente de MineCraft ?
    Est-ce parce que certains des mods n'existent plus ?
     
  17. thefou57

    thefou57 Membre

    Inscrit depuis le :
    25 Avril 2016
    Messages :
    10
    "J'aime" reçus :
    1
    C'est exactement ça adieux redpower et plein d'autre mods
     
    Apokalysme aime ce message.
  18. Apokalysme

    Apokalysme Modérateur et conseiller Membre de l'équipe

    Inscrit depuis le :
    18 Juin 2015
    Messages :
    1,538
    "J'aime" reçus :
    80
    RIP RedPower, beaucoup te pleurent :(
    C'est d'ailleurs étrange qu'un mod aussi utilisé n'ait pas été repris.

    Je vais parler de ce cas avec @natinusala pour voir si on peut trouver un moyen de gérer le cas particulier de NEI.
    Cela risque de prendre du temps, en revanche.
     
  19. thefou57

    thefou57 Membre

    Inscrit depuis le :
    25 Avril 2016
    Messages :
    10
    "J'aime" reçus :
    1
    C'est clair je suis patient ne vous en faite pas je fait des recherches aussi de mon côté mais je suis pas un pros du java mdr
     

Partager cette page